#ifndef _FONT_H
#define _FONT_H

#include <kos.h>

/* font size constants */

#define FONT_CHAR_WIDTH 16
#define FONT_CHAR_HEIGHT 24
#define FONT_CHAR_VISIBLE_WIDTH 	12
#define FONT_CHAR_VISIBLE_HEIGHT 	24

#define FONT_PERROW 16
#define FONT_PIC_WIDTH 256
#define FONT_PIC_HEIGHT 256

#define FONT_DOUBLE 1.0f
#define FONT_WIDTH (FONT_CHAR_VISIBLE_WIDTH * FONT_DOUBLE)
#define FONT_HEIGHT (FONT_CHAR_VISIBLE_HEIGHT * FONT_DOUBLE)
#define FONT_SPACE 0.5f
#define FONT_BOX_W 	(FONT_WIDTH+(FONT_SPACE*FONT_DOUBLE))
/* #define FONT_BOX_H  (FONT_HEIGHT+3) */

void font_init(void);
void font_draw_char(int x1, int y1, int z1, float a, float r, float g, float b, int ch);
void font_draw_strf(float x1, float y1, float z1, float a, float r, float g, float b, char *fmt, ...);

pvr_poly_hdr_t font_header;

#endif
